Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:36 2009

## Asterisk developer's documentation

# create_addr_info Struct Reference

## Data Fields

int | capability
char | context [AST_MAX_CONTEXT]
int | encmethods
unsigned int | flags
int | found
int | maxtime
char | outkey [80]
char | peercontext [AST_MAX_CONTEXT]
char | prefs [32]
char | secret [80]
int | sockfd
char | timezone [80]
char | username [80]

## Detailed Description

Definition at line 3664 of file chan_iax2.c.

## Field Documentation

int capability

Definition at line 3665 of file chan_iax2.c.

Referenced by create_addr(), and iax2_request().

char context[AST_MAX_CONTEXT]

Definition at line 3676 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

int encmethods

Definition at line 3668 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

unsigned int flags

Definition at line 3666 of file chan_iax2.c.

int found

Definition at line 3669 of file chan_iax2.c.

Referenced by create_addr(), and iax2_request().

int maxtime

Definition at line 3667 of file chan_iax2.c.

Referenced by create_addr(), iax2_call(), and iax2_request().

char outkey[80]

Definition at line 3673 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

char peercontext[AST_MAX_CONTEXT]

Definition at line 3677 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

char prefs[32]

Definition at line 3675 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

char secret[80]

Definition at line 3672 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

int sockfd

Definition at line 3670 of file chan_iax2.c.

Referenced by cache_get_callno_locked(), create_addr(), iax2_call(), iax2_prov_app(), iax2_provision(), and iax2_request().

char timezone[80]

Definition at line 3674 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

char username[80]

Definition at line 3671 of file chan_iax2.c.

Referenced by create_addr(), and iax2_call().

The documentation for this struct was generated from the following file:

- chan_iax2.c